%global rls_tag Final

Name:           openshift-restclient-java
Version:        3.0.1
Release:        1%{?dist}
Summary:        OpenShift Java REST Client

License:        EPL
URL:            https://github.com/openshift/openshift-restclient-java
Source0:        https://github.com/openshift/%{name}/archive/%{name}-%{version}.%{rls_tag}.tar.gz

# Clarification of license of src/main/java/com/openshift/internal/restclient/model/DeploymentConfig.java
Source1:        license-clarification.txt

BuildArch:      noarch

# Remove dependency on fest-assert since it's not packaged.
Patch0:         %{name}-test-fest-assert.patch

# Fix failing tests in ImageStreamingTest. They are already fixed in upstream git.
Patch1:         %{name}-test-imagestreamtest.patch

BuildRequires:  maven-local
BuildRequires:  mvn(com.jcraft:jsch)
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(commons-lang:commons-lang)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(log4j:log4j)
BuildRequires:  mvn(org.apache.commons:commons-compress)
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.httpcomponents:httpcore)
BuildRequires:  mvn(org.jboss:jboss-dmr)
BuildRequires:  mvn(org.mockito:mockito-core)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-log4j12)

%description
This is the Java REST client for the version 3 architecture of OpenShift based
on Kubernetes. The implementation is a work in progress to provide
functionality and features of the command-line interface and is used by JBoss
Tools for OpenShift.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -qn %{name}-%{name}-%{version}.%{rls_tag}
cp %{SOURCE1} .
chmod -x license README.md

%patch0 -p1
%patch1 -p1

%pom_remove_dep org.easytesting:fest-assert

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%license epl-v10.html license license-clarification.txt
%doc README.md DESIGN.md

%files javadoc -f .mfiles-javadoc
%license epl-v10.html license license-clarification.txt

%changelog
* Sun Jan 10 2016 Marcus Karlsson <mk@acc.umu.se> - 3.0.1-1
- Initial build
